export interface userSearch {
  nickname?: string //搜索字段模糊匹配
  status?: '' | 0 | 1 | null //用户状态0：封1：正常
  is_promoter?: '' | 1 | 0 | null //推广权限 1：开0：关
  user_type?: string //用户类型
  country?: string //国家:domestic 国内 abroad 国外
  province?: string //省
  city?: string //市
  user_time_type?: 'all' | 'visitno' | 'visit' | 'add_time' //时间范围类型 all:全部，visitno：访问时间不在，visit：访问时间，add_time：添加时间
  user_time?: string //时间范围
  page?: number
  limit?: number
  sex?: '' | 0 | 1 | 2 //性别 0保密 1男 2女
  level?: string //等级
  group_id?: string //分组
  now_money?: '' | 'desc' | 'asc' | null //余额排序 desc 降序 asc 升序
  field_key?: 'all' | 'nickname' | 'phone' | 'uid' // 搜索字段：all 三者皆查，nickname昵称，phone 手机，uid
}
export interface userLevelSearch {
  title?: string
  is_show?: number | string
  page?: number
  limit?: number
}
export interface userLevelData {
  id?: number
  name: string //等级名称
  is_forever: number | string //是否永久 1永久 0非永久
  valid_date: number //有效时间(天) 0为永久
  grade: number //等级
  icon?: number //图标
  image?: number //背景
  is_show: number //是否启用
  explain: number //等级描述
  task?: any[] //等级任务，完成任务即可升级
}
export interface userData {
  uid?: number | null
  phone: number | null //手机号
  real_name?: string //真实姓名
  pwd?: string //密码
  true_pwd?: string //确认密码
  trade_pwd?: string //交易密码
  true_trade_pwd?: string //确认交易密码
  sex: 0 | 1 | 2 //性别 0保密 1男 2女
  spread_uid?: string //推荐人ID
  is_promoter: 1 | 0 | true | false //是否推广员加时间 0不是推广员1是推广员
  card_id?: string //身份证号码
  birthday?: string | number //生日
  mark?: string //备注
  status: 1 | 0 | true | false //用户状态0：封1：正常
  level?: number //用户等级
  group_id?: number //用户分组
  avatar?: string
  nickname?: string
}
