import { Layout } from '@/utils/routerHelper'
const pre = 'goods'

export default {
  path: `/${pre}`,
  component: Layout,
  name: `${pre}`,
  meta: {
    title: '商品管理',
    icon: 'vi-eos-icons:role-binding',
    alwaysShow: true
  },
  children: [
    {
      path: 'list',
      component: () => import('@/views/Goods/list/index.vue'),
      name: `${pre}-list`,
      meta: {
        title: '商品列表'
      }
    },
    {
      path: 'classify',
      component: () => import('@/views/Goods/classify/index.vue'),
      name: `${pre}-classify`,
      meta: {
        title: '商品分类'
      }
    },
    {
      path: 'edit/:type/:id',
      component: () => import('@/views/Goods/edit/add.vue'),
      name: `${pre}-edit`,
      meta: {
        title: '添加修改商品'
      }
    }
  ]
}
