import { Layout } from '@/utils/routerHelper'
const pre = 'preserve'

export default {
  path: '/preserve',
  component: Layout,
  name: `${pre}`,
  redirect: '/preserve/config/class',
  meta: {
    title: '系统维护',
    icon: 'vi-ep:setting',
    alwaysShow: true
  },
  children: [
    {
      path: 'config/class',
      component: () => import('@/views/System/class/index.vue'),
      name: `${pre}-config-class`,
      meta: {
        title: '配置分类'
      }
    },
    {
      path: 'config/detail/:id',
      component: () => import('@/views/System/config/detail.vue'),
      name: `${pre}-config-detail`,
      meta: {
        title: '配置列表'
      }
    },
    {
      path: 'file/list',
      name: `${pre}-file-list`,
      component: () => import('@/views/System/file/list.vue'),
      meta: {
        title: '文件管理'
      }
    },
    {
      path: 'log/list',
      name: `${pre}-log-list`,
      component: () => import('@/views/System/log/index.vue'),
      meta: {
        title: '系统日志'
      }
    }
  ]
}
