import { Layout } from '@/utils/routerHelper'
const pre = 'staff'

export default {
  path: `/${pre}`,
  component: Layout,
  name: `${pre}`,
  meta: {
    title: '员工管理',
    icon: 'vi-eos-icons:role-binding',
    alwaysShow: true
  },
  children: [
    {
      path: 'designer',
      component: () => import('@/views/Staff/designer/index.vue'),
      name: `${pre}-designer`,
      meta: {
        title: '设计师'
      }
    },
    {
      path: 'worker',
      component: () => import('@/views/Staff/worker/index.vue'),
      name: `${pre}-worker`,
      meta: {
        title: '装修工'
      }
    },
    {
      path: 'salesman',
      component: () => import('@/views/Staff/salesman/index.vue'),
      name: `${pre}-salesman`,
      meta: {
        title: '业务员'
      }
    },
    {
      path: 'category',
      component: () => import('@/views/Staff/category/index.vue'),
      name: `${pre}-category`,
      meta: {
        title: '业务分类'
      }
    },
    {
      path: 'jobs',
      component: () => import('@/views/Staff/jobs/index.vue'),
      name: `${pre}-jobs`,
      meta: {
        title: '一口价分类'
      }
    }
  ]
}
