import { Layout } from '@/utils/routerHelper'
const pre = 'system'

export default {
  path: '/system',
  component: Layout,
  name: `${pre}`,
  redirect: '/system/config/class',
  meta: {
    title: '系统管理',
    icon: 'vi-ep:setting',
    alwaysShow: true
  },
  children: [
    {
      path: 'config/set/base',
      component: () => import('@/views/System/set/set.vue'),
      name: `${pre}-set-base`,
      props: { id: 1 },
      meta: {
        title: '基础设置'
      }
    },
    {
      path: 'config/set/app',
      component: () => import('@/views/System/set/set.vue'),
      name: `${pre}-set-app`,
      props: { id: 2 },
      meta: {
        title: '应用设置'
      }
    },
    {
      path: 'config/set/pay',
      component: () => import('@/views/System/set/set.vue'),
      name: `${pre}-set-pay`,
      props: { id: 6 },
      meta: {
        title: '支付设置'
      }
    },
    {
      path: 'config/set/upload',
      component: () => import('@/views/System/set/set.vue'),
      name: `${pre}-set-upload`,
      props: { id: 9 },
      meta: {
        title: '上传设置'
      }
    },
    {
      path: 'config/set/share',
      component: () => import('@/views/System/set/set.vue'),
      name: `${pre}-set-share`,
      props: { id: 16 },
      meta: {
        title: '分销设置'
      }
    }
  ]
}
